import { API } from './../../../utils/network/api'
let api = new API()
Page({

  data: {
    navbarData: {
      showCapsule: 1, //是否显示左上角图标   1表示显示    0表示不显示
      title: '操作手册详情', //导航栏 中间的标题
    },
    manual_id: "",
    html_content: ""
  },

  onLoad(option){
    this.setData({
      manual_id: option.manual_id
    })
  },

  onShow(){
    //获取操作手册详情
    api.getBasicOperationManualID({manual_id: this.data.manual_id}).then(response => {
      console.log(response);
      this.setData({
        html_content: response.data.content,
        "navbarData.title": response.data.title,
      })
    }).catch(errors => {console.error(errors);})
  }
})